﻿using System.Drawing;
using Rhino;
using Rhino.Commands;
using Rhino.UI;

namespace PanelBug_Rh6_Sr1
{
    public class PanelOpen1Cmd : Command
    {
        public PanelOpen1Cmd()
        {
            Instance = this;
        }

        ///<summary>The only instance of this command.</summary>
        public static PanelOpen1Cmd Instance { get; private set; }

        public override string EnglishName => "PanelOpen1";

        protected override Result RunCommand(RhinoDoc doc, RunMode mode)
        {
            if (Panels.IsPanelVisible(PanelTestCtrl1.Id))
            {
                RhinoApp.WriteLine("Panel1 was already visible");
                return Result.Nothing;
            }

            RhinoApp.WriteLine("Panel1 is Opening");
            return Panels.OpenPanelAsSibling(PanelTestCtrl1.Id, PanelIds.Layers) ? Result.Success : Result.Failure;
        }
    }
}