﻿using System;
using Rhino;
using Rhino.Commands;
using Rhino.UI;

namespace PanelBug_Rh6_Sr1
{
    public class PanelOpen2Cmd : Command
    {
        public PanelOpen2Cmd()
        {
            Instance = this;
        }

        ///<summary>The only instance of the PanelOpen2Cmd command.</summary>
        public static PanelOpen2Cmd Instance { get; private set; }

        public override string EnglishName => "PanelOpen2";

        protected override Result RunCommand(RhinoDoc doc, RunMode mode)
        {
            if (Panels.IsPanelVisible(PanelTestCtrl2.Id))
            {
                RhinoApp.WriteLine("Panel2 was already visible");
                return Result.Nothing;
            }

            RhinoApp.WriteLine("Panel2 is Opening");
            return Panels.OpenPanelAsSibling(PanelTestCtrl2.Id, PanelIds.Layers) ? Result.Success : Result.Failure;
        }
    }
}