﻿using System;
using System.Runtime.InteropServices;
using System.Windows.Forms;
using Rhino;
using Rhino.UI;

namespace PanelBug_Rh6_Sr1
{
    [Guid(GUID)]
    public partial class PanelTestCtrl1 : UserControl
    {
        private const string GUID = "D9E18FA9-58FC-4BE9-9ADE-29E5464DA2F2";

        public PanelTestCtrl1()
        {
            InitializeComponent();
            RhinoApp.WriteLine("Panel 1 Show event registered");
            Panels.Show += Panels_Show;
            RhinoApp.WriteLine("Panel 1 Closed event registered");
            Panels.Closed += Panels_Closed;
        }

        public static Guid Id => new Guid(GUID);

        private static void Panels_Closed(object sender, PanelEventArgs e)
        {
            if (e.PanelId != Id) return;
            RhinoApp.WriteLine("Panel 1 Closed raised");
        }

        private static void Panels_Show(object sender, ShowPanelEventArgs e)
        {
            if (e.PanelId != Id) return;
            RhinoApp.WriteLine($"Panel 1 Show raised = {e.Show}");
        }

        private void buttonClose_Click(object sender, EventArgs e)
        {
            Panels.ClosePanel(Id);
            RhinoApp.WriteLine("Panel 1 Closed by code");
        }

        private void buttonHide_Click(object sender, EventArgs e)
        {
            Panels.OpenPanel(PanelIds.ObjectProperties);
            RhinoApp.WriteLine("Panel 1 Hiden by code");
        }

        private void PanelTestCtrl_VisibleChanged(object sender, EventArgs e)
        {
            RhinoApp.WriteLine($"Panel 1 VisibleChanged Raised Visible={Visible}");
        }
    }
}